# GstVideoInfoDmaDrm

Information describing a DMABuf image properties. It wraps GstVideoInfo and adds DRM information such as drm-fourcc and drm-modifier, required for negotiation and mapping.

### Members

`vinfo` (GstVideoInfo) –

the associated GstVideoInfo

`drm_fourcc` (guint32) –

the fourcc defined by drm

`drm_modifier` (guint64) –

the drm modifier

Since : 1.24

## GstVideo.VideoInfoDmaDrm

Information describing a DMABuf image properties. It wraps GstVideo.VideoInfo and adds DRM information such as drm-fourcc and drm-modifier, required for negotiation and mapping.

### Members

`vinfo` (GstVideo.VideoInfo) –

the associated GstVideo.VideoInfo

`drm_fourcc` (Number) –

the fourcc defined by drm

`drm_modifier` (Number) –

the drm modifier

Since : 1.24

## GstVideo.VideoInfoDmaDrm

Information describing a DMABuf image properties. It wraps GstVideo.VideoInfo and adds DRM information such as drm-fourcc and drm-modifier, required for negotiation and mapping.

### Members

`vinfo` (GstVideo.VideoInfo) –

the associated GstVideo.VideoInfo

`drm_fourcc` (int) –

the fourcc defined by drm

`drm_modifier` (int) –

the drm modifier

Since : 1.24

### Constructors

#### gst_video_info_dma_drm_new

    GstVideoInfoDmaDrm *
    gst_video_info_dma_drm_new ()

Allocate a new GstVideoInfoDmaDrm that is also initialized with gst_video_info_dma_drm_init.

Returns ( [transfer: full]) –

a new GstVideoInfoDmaDrm. Free it with gst_video_info_dma_drm_free.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.prototype.new

    function GstVideo.VideoInfoDmaDrm.prototype.new(): {
        // javascript wrapper for 'gst_video_info_dma_drm_new'
    }

Allocate a new GstVideo.VideoInfoDmaDrm that is also initialized with GstVideo.prototype.video_info_dma_drm_init.

Returns (GstVideo.VideoInfoDmaDrm) –

a new GstVideo.VideoInfoDmaDrm. Free it with GstVideo.VideoInfoDmaDrm.prototype.free.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.new

    def GstVideo.VideoInfoDmaDrm.new ():
        #python wrapper for 'gst_video_info_dma_drm_new'

Allocate a new GstVideo.VideoInfoDmaDrm that is also initialized with GstVideo.video_info_dma_drm_init.

Returns (GstVideo.VideoInfoDmaDrm) –

a new GstVideo.VideoInfoDmaDrm. Free it with GstVideo.VideoInfoDmaDrm.free.

Since : 1.24

#### gst_video_info_dma_drm_new_from_caps

    GstVideoInfoDmaDrm *
    gst_video_info_dma_drm_new_from_caps (const GstCaps * caps)

Parse caps to generate a GstVideoInfoDmaDrm. Please note that the caps should be a dma drm caps. The gst_video_is_dma_drm_caps can be used to verify it before calling this function.

Parameters:

`caps` –

a GstCaps

Returns ( [transfer: full][nullable]) –

A GstVideoInfoDmaDrm, or NULL if caps couldn't be parsed.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.prototype.new_from_caps

    function GstVideo.VideoInfoDmaDrm.prototype.new_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_info_dma_drm_new_from_caps'
    }

Parse caps to generate a GstVideo.VideoInfoDmaDrm. Please note that the caps should be a dma drm caps. The GstVideo.prototype.video_is_dma_drm_caps can be used to verify it before calling this function.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns (GstVideo.VideoInfoDmaDrm) –

A GstVideo.VideoInfoDmaDrm, or null if caps couldn't be parsed.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.new_from_caps

    def GstVideo.VideoInfoDmaDrm.new_from_caps (caps):
        #python wrapper for 'gst_video_info_dma_drm_new_from_caps'

Parse caps to generate a GstVideo.VideoInfoDmaDrm. Please note that the caps should be a dma drm caps. The GstVideo.video_is_dma_drm_caps can be used to verify it before calling this function.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns (GstVideo.VideoInfoDmaDrm) –

A GstVideo.VideoInfoDmaDrm, or None if caps couldn't be parsed.

Since : 1.24

### Methods

#### gst_video_info_dma_drm_free

    gst_video_info_dma_drm_free (GstVideoInfoDmaDrm * drm_info)

Free a GstVideoInfoDmaDrm structure previously allocated with gst_video_info_dma_drm_new

Parameters:

`drm_info` –

a GstVideoInfoDmaDrm

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.prototype.free

    function GstVideo.VideoInfoDmaDrm.prototype.free(): {
        // javascript wrapper for 'gst_video_info_dma_drm_free'
    }

Free a GstVideo.VideoInfoDmaDrm structure previously allocated with GstVideo.VideoInfoDmaDrm.prototype.new

Parameters:

`drm_info` (GstVideo.VideoInfoDmaDrm) –

a GstVideo.VideoInfoDmaDrm

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.free

    def GstVideo.VideoInfoDmaDrm.free (self):
        #python wrapper for 'gst_video_info_dma_drm_free'

Free a GstVideo.VideoInfoDmaDrm structure previously allocated with GstVideo.VideoInfoDmaDrm.new

Parameters:

`drm_info` (GstVideo.VideoInfoDmaDrm) –

a GstVideo.VideoInfoDmaDrm

Since : 1.24

#### gst_video_info_dma_drm_to_caps

    GstCaps *
    gst_video_info_dma_drm_to_caps (const GstVideoInfoDmaDrm * drm_info)

Convert the values of drm_info into a GstCaps. Please note that the caps returned will be a dma drm caps which sets format field to DMA_DRM, and contains a new drm-format field. The value of drm-format field is composed of a drm fourcc and a modifier, such as NV12:0x0100000000000002.

Parameters:

`drm_info` –

a GstVideoInfoDmaDrm

Returns ( [transfer: full][nullable]) –

a new GstCaps containing the info in drm_info.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.prototype.to_caps

    function GstVideo.VideoInfoDmaDrm.prototype.to_caps(): {
        // javascript wrapper for 'gst_video_info_dma_drm_to_caps'
    }

Convert the values of drm_info into a Gst.Caps. Please note that the caps returned will be a dma drm caps which sets format field to DMA_DRM, and contains a new drm-format field. The value of drm-format field is composed of a drm fourcc and a modifier, such as NV12:0x0100000000000002.

Parameters:

`drm_info` (GstVideo.VideoInfoDmaDrm) –

a GstVideo.VideoInfoDmaDrm

Returns (Gst.Caps) –

a new Gst.Caps containing the info in drm_info.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.to_caps

    def GstVideo.VideoInfoDmaDrm.to_caps (self):
        #python wrapper for 'gst_video_info_dma_drm_to_caps'

Convert the values of drm_info into a Gst.Caps. Please note that the caps returned will be a dma drm caps which sets format field to DMA_DRM, and contains a new drm-format field. The value of drm-format field is composed of a drm fourcc and a modifier, such as NV12:0x0100000000000002.

Parameters:

`drm_info` (GstVideo.VideoInfoDmaDrm) –

a GstVideo.VideoInfoDmaDrm

Returns (Gst.Caps) –

a new Gst.Caps containing the info in drm_info.

Since : 1.24

#### gst_video_info_dma_drm_to_video_info

    gboolean
    gst_video_info_dma_drm_to_video_info (const GstVideoInfoDmaDrm * drm_info,
                                          GstVideoInfo * info)

Convert the GstVideoInfoDmaDrm into a traditional GstVideoInfo with recognized video format. For DMA kind memory, the non linear DMA format should be recognized as GST_VIDEO_FORMAT_DMA_DRM. This helper function sets info's video format into the default value according to drm_info's drm_fourcc field.

Parameters:

`drm_info` –

a GstVideoInfoDmaDrm

`info` ( [out]) –

GstVideoInfo

Returns –

TRUE if info is converted correctly.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.prototype.to_video_info

    function GstVideo.VideoInfoDmaDrm.prototype.to_video_info(): {
        // javascript wrapper for 'gst_video_info_dma_drm_to_video_info'
    }

Convert the GstVideo.VideoInfoDmaDrm into a traditional GstVideo.VideoInfo with recognized video format. For DMA kind memory, the non linear DMA format should be recognized as GstVideo.VideoFormat.DMA_DRM. This helper function sets info's video format into the default value according to drm_info's drm_fourcc field.

Parameters:

`drm_info` (GstVideo.VideoInfoDmaDrm) –

a GstVideo.VideoInfoDmaDrm

Returns a tuple made of:

(Number ) –

true if info is converted correctly.

`info` (GstVideo.VideoInfo ) –

true if info is converted correctly.

Since : 1.24

#### GstVideo.VideoInfoDmaDrm.to_video_info

    def GstVideo.VideoInfoDmaDrm.to_video_info (self):
        #python wrapper for 'gst_video_info_dma_drm_to_video_info'

Convert the GstVideo.VideoInfoDmaDrm into a traditional GstVideo.VideoInfo with recognized video format. For DMA kind memory, the non linear DMA format should be recognized as GstVideo.VideoFormat.DMA_DRM. This helper function sets info's video format into the default value according to drm_info's drm_fourcc field.

Parameters:

`drm_info` (GstVideo.VideoInfoDmaDrm) –

a GstVideo.VideoInfoDmaDrm

Returns a tuple made of:

(bool ) –

True if info is converted correctly.

`info` (GstVideo.VideoInfo ) –

True if info is converted correctly.

Since : 1.24

### Functions

#### gst_video_info_dma_drm_from_caps

    gboolean
    gst_video_info_dma_drm_from_caps (GstVideoInfoDmaDrm * drm_info,
                                      const GstCaps * caps)

Parse caps and update info. Please note that the caps should be a dma drm caps. The gst_video_is_dma_drm_caps can be used to verify it before calling this function.

Parameters:

`drm_info` ( [out]) –

GstVideoInfoDmaDrm

`caps` –

a GstCaps

Returns –

TRUE if caps could be parsed

Since : 1.24

#### GstVideo.prototype.video_info_dma_drm_from_caps

    function GstVideo.prototype.video_info_dma_drm_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_info_dma_drm_from_caps'
    }

Parse caps and update info. Please note that the caps should be a dma drm caps. The GstVideo.prototype.video_is_dma_drm_caps can be used to verify it before calling this function.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns a tuple made of:

(Number ) –

TRUE if caps could be parsed

`drm_info` (GstVideo.VideoInfoDmaDrm ) –

TRUE if caps could be parsed

Since : 1.24

#### GstVideo.video_info_dma_drm_from_caps

    def GstVideo.video_info_dma_drm_from_caps (caps):
        #python wrapper for 'gst_video_info_dma_drm_from_caps'

Parse caps and update info. Please note that the caps should be a dma drm caps. The GstVideo.video_is_dma_drm_caps can be used to verify it before calling this function.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns a tuple made of:

(bool ) –

TRUE if caps could be parsed

`drm_info` (GstVideo.VideoInfoDmaDrm ) –

TRUE if caps could be parsed

Since : 1.24

#### gst_video_info_dma_drm_from_video_info

    gboolean
    gst_video_info_dma_drm_from_video_info (GstVideoInfoDmaDrm * drm_info,
                                            const GstVideoInfo * info,
                                            guint64 modifier)

Fills drm_info if info's format has a valid drm format and modifier is also valid

Parameters:

`drm_info` ( [out]) –

GstVideoInfoDmaDrm

`info` –

a GstVideoInfo

`modifier` –

the associated modifier value.

Returns –

TRUE if drm_info is filled correctly.

Since : 1.24

#### GstVideo.prototype.video_info_dma_drm_from_video_info

    function GstVideo.prototype.video_info_dma_drm_from_video_info(info: GstVideo.VideoInfo, modifier: Number): {
        // javascript wrapper for 'gst_video_info_dma_drm_from_video_info'
    }

Fills drm_info if info's format has a valid drm format and modifier is also valid

Parameters:

`info` (GstVideo.VideoInfo) –

a GstVideo.VideoInfo

`modifier` (Number) –

the associated modifier value.

Returns a tuple made of:

(Number ) –

true if drm_info is filled correctly.

`drm_info` (GstVideo.VideoInfoDmaDrm ) –

true if drm_info is filled correctly.

Since : 1.24

#### GstVideo.video_info_dma_drm_from_video_info

    def GstVideo.video_info_dma_drm_from_video_info (info, modifier):
        #python wrapper for 'gst_video_info_dma_drm_from_video_info'

Fills drm_info if info's format has a valid drm format and modifier is also valid

Parameters:

`info` (GstVideo.VideoInfo) –

a GstVideo.VideoInfo

`modifier` (int) –

the associated modifier value.

Returns a tuple made of:

(bool ) –

True if drm_info is filled correctly.

`drm_info` (GstVideo.VideoInfoDmaDrm ) –

True if drm_info is filled correctly.

Since : 1.24

#### gst_video_info_dma_drm_init

    gst_video_info_dma_drm_init (GstVideoInfoDmaDrm * drm_info)

Initialize drm_info with default values.

Parameters:

`drm_info` ( [out]) –

a GstVideoInfoDmaDrm

Since : 1.24

#### GstVideo.prototype.video_info_dma_drm_init

    function GstVideo.prototype.video_info_dma_drm_init(): {
        // javascript wrapper for 'gst_video_info_dma_drm_init'
    }

Initialize drm_info with default values.

Since : 1.24

#### GstVideo.video_info_dma_drm_init

    def GstVideo.video_info_dma_drm_init ():
        #python wrapper for 'gst_video_info_dma_drm_init'

Initialize drm_info with default values.

Since : 1.24

## Functions

### gst_video_dma_drm_format_from_gst_format

    guint32
    gst_video_dma_drm_format_from_gst_format (GstVideoFormat format,
                                              guint64 * modifier)

Converting the video format into dma drm fourcc/modifier pair. If no matching fourcc found, then DRM_FORMAT_INVALID is returned and modifier will be set to DRM_FORMAT_MOD_INVALID.

Parameters:

`format` –

a GstVideoFormat

`modifier` ( [nullable]) –

return location for the modifier

Returns –

the DRM_FORMAT_* corresponding to format.

Since : 1.26

### GstVideo.prototype.video_dma_drm_format_from_gst_format

    function GstVideo.prototype.video_dma_drm_format_from_gst_format(format: GstVideo.VideoFormat, modifier: Number): {
        // javascript wrapper for 'gst_video_dma_drm_format_from_gst_format'
    }

Converting the video format into dma drm fourcc/modifier pair. If no matching fourcc found, then DRM_FORMAT_INVALID is returned and modifier will be set to DRM_FORMAT_MOD_INVALID.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

`modifier` (Number) –

return location for the modifier

Returns (Number) –

the DRM_FORMAT_* corresponding to format.

Since : 1.26

### GstVideo.video_dma_drm_format_from_gst_format

    def GstVideo.video_dma_drm_format_from_gst_format (format, modifier):
        #python wrapper for 'gst_video_dma_drm_format_from_gst_format'

Converting the video format into dma drm fourcc/modifier pair. If no matching fourcc found, then DRM_FORMAT_INVALID is returned and modifier will be set to DRM_FORMAT_MOD_INVALID.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

`modifier` (int) –

return location for the modifier

Returns (int) –

the DRM_FORMAT_* corresponding to format.

Since : 1.26

### gst_video_dma_drm_format_to_gst_format

    GstVideoFormat
    gst_video_dma_drm_format_to_gst_format (guint32 fourcc,
                                            guint64 modifier)

Converting a dma drm fourcc and modifier pair into a GstVideoFormat. If no matching video format is found, then GST_VIDEO_FORMAT_UNKNOWN is returned.

Parameters:

`fourcc` –

the dma drm fourcc value.

`modifier` –

the dma drm modifier.

Returns –

the GST_VIDEO_FORMAT_* corresponding to the fourcc and modifier pair.

Since : 1.26

### GstVideo.prototype.video_dma_drm_format_to_gst_format

    function GstVideo.prototype.video_dma_drm_format_to_gst_format(fourcc: Number, modifier: Number): {
        // javascript wrapper for 'gst_video_dma_drm_format_to_gst_format'
    }

Converting a dma drm fourcc and modifier pair into a GstVideo.VideoFormat. If no matching video format is found, then GST_VIDEO_FORMAT_UNKNOWN is returned.

Parameters:

`fourcc` (Number) –

the dma drm fourcc value.

`modifier` (Number) –

the dma drm modifier.

Returns (GstVideo.VideoFormat) –

the GST_VIDEO_FORMAT_* corresponding to the fourcc and modifier pair.

Since : 1.26

### GstVideo.video_dma_drm_format_to_gst_format

    def GstVideo.video_dma_drm_format_to_gst_format (fourcc, modifier):
        #python wrapper for 'gst_video_dma_drm_format_to_gst_format'

Converting a dma drm fourcc and modifier pair into a GstVideo.VideoFormat. If no matching video format is found, then GST_VIDEO_FORMAT_UNKNOWN is returned.

Parameters:

`fourcc` (int) –

the dma drm fourcc value.

`modifier` (int) –

the dma drm modifier.

Returns (GstVideo.VideoFormat) –

the GST_VIDEO_FORMAT_* corresponding to the fourcc and modifier pair.

Since : 1.26

### gst_video_dma_drm_fourcc_from_format

    guint32
    gst_video_dma_drm_fourcc_from_format (GstVideoFormat format)

Converting the video format into dma drm fourcc. If no matching fourcc found, then DRM_FORMAT_INVALID is returned.

Parameters:

`format` –

a GstVideoFormat

Returns –

the DRM_FORMAT_* corresponding to the format.

Since : 1.24

### GstVideo.prototype.video_dma_drm_fourcc_from_format

    function GstVideo.prototype.video_dma_drm_fourcc_from_format(format: GstVideo.VideoFormat): {
        // javascript wrapper for 'gst_video_dma_drm_fourcc_from_format'
    }

Converting the video format into dma drm fourcc. If no matching fourcc found, then DRM_FORMAT_INVALID is returned.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

Returns (Number) –

the DRM_FORMAT_* corresponding to the format.

Since : 1.24

### GstVideo.video_dma_drm_fourcc_from_format

    def GstVideo.video_dma_drm_fourcc_from_format (format):
        #python wrapper for 'gst_video_dma_drm_fourcc_from_format'

Converting the video format into dma drm fourcc. If no matching fourcc found, then DRM_FORMAT_INVALID is returned.

Parameters:

`format` (GstVideo.VideoFormat) –

a GstVideo.VideoFormat

Returns (int) –

the DRM_FORMAT_* corresponding to the format.

Since : 1.24

### gst_video_dma_drm_fourcc_from_string

    guint32
    gst_video_dma_drm_fourcc_from_string (const gchar * format_str,
                                          guint64 * modifier)

Convert the format_str string into the drm fourcc value. The modifier is also parsed if we want. Please note that the format_str should follow the fourcc:modifier kind style, such as NV12:0x0100000000000002

Parameters:

`format_str` –

a drm format string

`modifier` ( [out][optional]) –

Return the modifier in format or NULL to ignore.

Returns –

The drm fourcc value or DRM_FORMAT_INVALID if format_str is invalid.

Since : 1.24

### GstVideo.prototype.video_dma_drm_fourcc_from_string

    function GstVideo.prototype.video_dma_drm_fourcc_from_string(format_str: String): {
        // javascript wrapper for 'gst_video_dma_drm_fourcc_from_string'
    }

Convert the format_str string into the drm fourcc value. The modifier is also parsed if we want. Please note that the format_str should follow the fourcc:modifier kind style, such as NV12:0x0100000000000002

Parameters:

`format_str` (String) –

a drm format string

Returns a tuple made of:

(Number ) –

The drm fourcc value or DRM_FORMAT_INVALID if format_str is invalid.

`modifier` (Number ) –

The drm fourcc value or DRM_FORMAT_INVALID if format_str is invalid.

Since : 1.24

### GstVideo.video_dma_drm_fourcc_from_string

    def GstVideo.video_dma_drm_fourcc_from_string (format_str):
        #python wrapper for 'gst_video_dma_drm_fourcc_from_string'

Convert the format_str string into the drm fourcc value. The modifier is also parsed if we want. Please note that the format_str should follow the fourcc:modifier kind style, such as NV12:0x0100000000000002

Parameters:

`format_str` (str) –

a drm format string

Returns a tuple made of:

(int ) –

The drm fourcc value or DRM_FORMAT_INVALID if format_str is invalid.

`modifier` (int ) –

The drm fourcc value or DRM_FORMAT_INVALID if format_str is invalid.

Since : 1.24

### gst_video_dma_drm_fourcc_to_format

    GstVideoFormat
    gst_video_dma_drm_fourcc_to_format (guint32 fourcc)

Converting a dma drm fourcc into the video format. If no matching video format found, then GST_VIDEO_FORMAT_UNKNOWN is returned.

Parameters:

`fourcc` –

the dma drm value.

Returns –

the GST_VIDEO_FORMAT_* corresponding to the fourcc.

Since : 1.24

### GstVideo.prototype.video_dma_drm_fourcc_to_format

    function GstVideo.prototype.video_dma_drm_fourcc_to_format(fourcc: Number): {
        // javascript wrapper for 'gst_video_dma_drm_fourcc_to_format'
    }

Converting a dma drm fourcc into the video format. If no matching video format found, then GST_VIDEO_FORMAT_UNKNOWN is returned.

Parameters:

`fourcc` (Number) –

the dma drm value.

Returns (GstVideo.VideoFormat) –

the GST_VIDEO_FORMAT_* corresponding to the fourcc.

Since : 1.24

### GstVideo.video_dma_drm_fourcc_to_format

    def GstVideo.video_dma_drm_fourcc_to_format (fourcc):
        #python wrapper for 'gst_video_dma_drm_fourcc_to_format'

Converting a dma drm fourcc into the video format. If no matching video format found, then GST_VIDEO_FORMAT_UNKNOWN is returned.

Parameters:

`fourcc` (int) –

the dma drm value.

Returns (GstVideo.VideoFormat) –

the GST_VIDEO_FORMAT_* corresponding to the fourcc.

Since : 1.24

### gst_video_dma_drm_fourcc_to_string

    gchar *
    gst_video_dma_drm_fourcc_to_string (guint32 fourcc,
                                        guint64 modifier)

Returns a string containing drm kind format, such as NV12:0x0100000000000002, or NULL otherwise.

Parameters:

`fourcc` –

a drm fourcc value.

`modifier` –

the associated modifier value.

Returns ( [transfer: full][nullable]) –

the drm kind string composed of to fourcc and modifier.

Since : 1.24

### GstVideo.prototype.video_dma_drm_fourcc_to_string

    function GstVideo.prototype.video_dma_drm_fourcc_to_string(fourcc: Number, modifier: Number): {
        // javascript wrapper for 'gst_video_dma_drm_fourcc_to_string'
    }

Returns a string containing drm kind format, such as NV12:0x0100000000000002, or NULL otherwise.

Parameters:

`fourcc` (Number) –

a drm fourcc value.

`modifier` (Number) –

the associated modifier value.

Returns (String) –

the drm kind string composed of to fourcc and modifier.

Since : 1.24

### GstVideo.video_dma_drm_fourcc_to_string

    def GstVideo.video_dma_drm_fourcc_to_string (fourcc, modifier):
        #python wrapper for 'gst_video_dma_drm_fourcc_to_string'

Returns a string containing drm kind format, such as NV12:0x0100000000000002, or NULL otherwise.

Parameters:

`fourcc` (int) –

a drm fourcc value.

`modifier` (int) –

the associated modifier value.

Returns (str) –

the drm kind string composed of to fourcc and modifier.

Since : 1.24

### gst_video_is_dma_drm_caps

    gboolean
    gst_video_is_dma_drm_caps (const GstCaps * caps)

Check whether the caps is a dma drm kind caps. Please note that the caps should be fixed.

Parameters:

`caps` –

a GstCaps

Returns –

TRUE if the caps is a dma drm caps.

Since : 1.24

### GstVideo.prototype.video_is_dma_drm_caps

    function GstVideo.prototype.video_is_dma_drm_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_is_dma_drm_caps'
    }

Check whether the caps is a dma drm kind caps. Please note that the caps should be fixed.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Number) –

true if the caps is a dma drm caps.

Since : 1.24

### GstVideo.video_is_dma_drm_caps

    def GstVideo.video_is_dma_drm_caps (caps):
        #python wrapper for 'gst_video_is_dma_drm_caps'

Check whether the caps is a dma drm kind caps. Please note that the caps should be fixed.

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns (bool) –

True if the caps is a dma drm caps.

Since : 1.24

## Constants

### GST_VIDEO_DMA_DRM_CAPS_MAKE

    #define GST_VIDEO_DMA_DRM_CAPS_MAKE                                     \
        "video/x-raw(memory:DMABuf), "                                      \
        "format = (string) DMA_DRM, "                                       \
        "width = " GST_VIDEO_SIZE_RANGE ", "                                \
        "height = " GST_VIDEO_SIZE_RANGE ", "                               \
        "framerate = " GST_VIDEO_FPS_RANGE

Generic caps string for video wit DMABuf(GST_CAPS_FEATURE_MEMORY_DMABUF) feature, for use in pad templates. As drm-format is supposed to be defined at run-time it's not predefined here.

Since : 1.24

### GstVideo.VIDEO_DMA_DRM_CAPS_MAKE

Generic caps string for video wit DMABuf(GST_CAPS_FEATURE_MEMORY_DMABUF) feature, for use in pad templates. As drm-format is supposed to be defined at run-time it's not predefined here.

Since : 1.24

### GstVideo.VIDEO_DMA_DRM_CAPS_MAKE

Generic caps string for video wit DMABuf(GST_CAPS_FEATURE_MEMORY_DMABUF) feature, for use in pad templates. As drm-format is supposed to be defined at run-time it's not predefined here.

Since : 1.24

The results of the search are